# check_identifier_reserved function

(Shortest import: `from brian2.equations.equations import check_identifier_reserved)`

brian2.equations.equations.check_identifier_reserved(identifier)

  Check that an identifier is not using a reserved special variable name. The special variables are: ‘t’, ‘dt’, and ‘xi’, as well as everything starting with `xi_`.

  Parameters:

    identifier: str :

    > The identifier that should be checked

  Raises

  `SyntaxError`

    If the identifier is a special variable name.